Subject: Re: MANET interfaces and changing factors (was: [Autoconf] Re: I-D ACTION:draft-ietf-autoconf-manetarch-00.txt)

From: Alexandru Petrescu <[email-masked]>
Date: Fri, 09 Mar 2007 12:28:51 +0100

Shubhranshu wrote:
>> I'd like to ask everyone to review the new and improved MANET 
>> Architecture document. It now contains a section about addressing
>> that summarizes what Thomas presented in San Diego.
> 
> I would also like to suggest those who plans to review to look into
> the San Diego presentation slides related to MANET architecture
> available at 
> http://www3.ietf.org/proceedings/06nov/slides/autoconf-0.pdf Also, it
> might help if authors could list all the changes compared to earlier
> version.
> 
>> 
>> Please send me any comments.
> 
> I would also encourage to send comments to the mailing list.

Thanks for the request.  I would like to comment, the draft is at:
http://www.ietf.org/internet-drafts/draft-ietf-autoconf-manetarch-01.txt

I think the section 4 MANET Interface Characteristics is very relevant 
and gives a good picture about what MANET Interfaces are expected to act.

I would like to give some thoughts on MANET Interfaces.

I think we need to identify what is the changing factor that makes this 
behaviour so fuzzy, fuzziness described very well in section 4.2.2 as a 
Challenge.  And find a practical computer-related (not radio 
interference or physical movement) factor.  If we identify a 
computer-related factor then we can deal with it, otherwise not.

IMHO an interface is assigned one functionality at a time, then 
something happens in that computer that the functionality must change. 
The changing factor is what happens in that computer.

Example: an interface is configured as a RA advertising interface, then 
for some reason the computer decides no longer it is a router on that 
interface but a host, so it should stop being an RA advertising interface.

A similar example with OSPF, send LSAs on an interface but at some point 
decide to send same LSAs on another interface.

Alex

> 
> -- Shubhranshu
> 
> 
>> Ian Chakeres
>> 
>> On 2/15/07, [email-masked]
> <mailto:[email-masked]> <[email-masked] 
> <mailto:[email-masked]>> wrote:
>>> A New Internet-Draft is available from the on-line
>>> Internet-Drafts directories. This draft is a work item of the
>>> Ad-Hoc Network Autoconfiguration
> Working Group of the IETF.
>>> 
>>> Title           : Mobile Ad hoc Network Architecture Author(s)
>>> : I. Chakeres, et al. Filename        :
>>> draft-ietf-autoconf-manetarch-00.txt Pages           : 20 Date
>>> : 2007-2-15
>>> 
>>> 
>>> This document discusses Mobile Ad hoc NETworks (MANETs).  It 
>>> introduces basic MANET terms, characteristics, and challenges.
>>> This document also defines several MANET entities and
>>> architectural concepts.
>>> 
>>> 
>>> A URL for this Internet-Draft is: 
>>> http://www.ietf.org/internet-drafts/draft-ietf-autoconf-manetarch-00.txt
>>> 
>>> 
>>> To remove yourself from the I-D Announcement list, send a message
>>> to [email-masked]
>>> <mailto:[email-masked]>
> with the word unsubscribe in the body of
>>> the message. You can also visit
>>> https://www1.ietf.org/mailman/listinfo/I-D-announce to change
>>> your subscription settings.
>>> 
>>> Internet-Drafts are also available by anonymous FTP. Login with
>>> the username "anonymous" and a password of your e-mail address.
>>> After logging in, type "cd internet-drafts" and then "get
>>> draft-ietf-autoconf-manetarch-00.txt".
>>> 
>>> A list of Internet-Drafts directories can be found in 
>>> http://www.ietf.org/shadow.html or
>>> ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>>> 
>>> Internet-Drafts can also be obtained by e-mail.
>>> 
>>> Send a message to: [email-masked] <mailto:[email-masked]>. 
>>> In the body type: "FILE
>>> /internet-drafts/draft-ietf-autoconf-manetarch-00.txt".
>>> 
>>> NOTE:   The mail server at ietf.org can return the document in 
>>> MIME-encoded form by using the "mpack" utility.  To use this 
>>> feature, insert the command "ENCODING mime" before the "FILE" 
>>> command.  To decode the response(s), you will need "munpack" or a
>>> MIME-compliant mail reader.  Different MIME-compliant mail
> readers
>>> exhibit different behavior, especially when dealing with 
>>> "multipart" MIME messages (i.e. documents which have been split 
>>> up into multiple messages), so check your local documentation on 
>>> how to manipulate these messages.
>>> 
>>> Below is the data which will enable a MIME compliant mail reader 
>>> implementation to automatically retrieve the ASCII version of the
>>>  Internet-Draft.
>>> 
>>> 
>>> _______________________________________________ Autoconf mailing
>>> list [email-masked] <mailto:[email-masked]> 
>>> https://www1.ietf.org/mailman/listinfo/autoconf
>>> 
>>> 
>> 
>> _______________________________________________ Autoconf mailing
>> list [email-masked] <mailto:[email-masked]> 
>> https://www1.ietf.org/mailman/listinfo/autoconf
>> 
>> 
> 
> 
> ------------------------------------------------------------------------
> 
> 
> _______________________________________________ Autoconf mailing list
>  [email-masked] https://www1.ietf.org/mailman/listinfo/autoconf

______________________________________________________________________
This email has been scanned by the MessageLabs Email Security System.
For more information please visit http://www.messagelabs.com/email 
______________________________________________________________________

_______________________________________________
Autoconf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/autoconf